Skip to main content
GET
/
vault
/
{vault_address}
cURL
curl --request GET \
  --url https://stake-for-fee-api.meteora.ag/vault/{vault_address}
{
  "vault_address": "<string>",
  "pool_address": "<string>",
  "token_a_mint": "<string>",
  "token_b_mint": "<string>",
  "stake_mint": "<string>",
  "token_a_symbol": "<string>",
  "token_b_symbol": "<string>",
  "total_staked_amount": 123,
  "total_staked_amount_usd": 123,
  "current_reward_token_a_usd": 123,
  "current_reward_token_b_usd": 123,
  "current_reward_usd": 123,
  "daily_reward_usd": 123,
  "created_at_slot": 123,
  "created_at_slot_timestamp": 123,
  "created_at_tx_sig": "<string>",
  "seconds_to_full_unlock": 123,
  "start_fee_distribute_timestamp": 123,
  "marketcap": 123,
  "flags": {
    "tvl_usd_threshold": 123,
    "tvl_usd_threshold_reached": true
  },
  "top_lists": [
    {
      "owner": "<string>",
      "staked_amount": 123,
      "token_a_accumulated_reward": 123,
      "token_b_accumulated_reward": 123,
      "token_a_accumulated_reward_usd": 123,
      "token_b_accumulated_reward_usd": 123,
      "daily_reward_usd": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

vault_address
string
required

Fee vault address.

Response

200 - application/json

One Stake2Earn vault with top-list holders.

vault_address
string
required
pool_address
string
required
token_a_mint
string
required
token_b_mint
string
required
stake_mint
string
required
token_a_symbol
string
required
token_b_symbol
string
required
total_staked_amount
number<double>
required
total_staked_amount_usd
number<double>
required
current_reward_token_a_usd
number<double>
required

Vault total reward in USD value for token A.

current_reward_token_b_usd
number<double>
required

Vault total reward in USD value for token B.

current_reward_usd
number<double>
required

Vault total reward in USD value.

daily_reward_usd
number<double>
required

Vault estimated daily reward based on current reward USD.

created_at_slot
integer<int64>
required
created_at_slot_timestamp
integer<int64>
required
created_at_tx_sig
string
required
seconds_to_full_unlock
integer<int64>
required
start_fee_distribute_timestamp
integer<int64>
required
marketcap
number<double>
required
flags
object
required
top_lists
object[]
required